syntax = "proto3";

import "google/protobuf/any.proto";
import "google/protobuf/timestamp.proto";

package movie.pbuf;


// This message is a one-to-one mapping to the Movie Collection in our MongoDB
message Movie {
  google.protobuf.Timestamp start_time = 1;
  string movie_name = 2;
  // TODO action flag
  // TODO add more here
}

message CommandControlMsg {
  string message = 1;
  google.protobuf.Any command = 2;
}
